> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取认证 URL

> 以机构商户为主体，为指定的机构子账户申请一个合法的、有过期时间的「子账户 Onboarding 托管页面」URL，用于引导子账户持有人进行 KYB 认证。

## 概述

本页说明「获取认证URL」接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

## 说明

* 认证方式使用 GatePay 标准签名请求头。
* 这个机构专属接口需要携带 `X-GatePay-On-Behalf-Of`。
* 通用签名规则请参见 [/api-reference/version/100/cn/common/securityAndSignature](/api-reference/version/100/cn/common/securityAndSignature)。

## 注意事项

* 请求体必须包含 `expireSeconds` 参数，用于指定认证URL过期时间
* URL 中的 token 参数包含认证信息，请妥善保管


## OpenAPI

````yaml api-reference/version/100/cn/openapi/institutional-openapi.json POST /pay-cashier/open/v1/certification/url
openapi: 3.1.0
info:
  title: GatePay 机构 API
  description: Gate Pay 机构 API 接口文档
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://openplatform.gateapi.io
security: []
paths:
  /pay-cashier/open/v1/certification/url:
    post:
      tags:
        - Institutional
      summary: 获取认证 URL
      operationId: getCertificationUrl
      parameters:
        - name: X-GatePay-On-Behalf-Of
          in: header
          required: true
          schema:
            type: string
          description: 机构子账户 ID
        - name: X-GatePay-Merchant-Id
          in: header
          required: true
          schema:
            type: string
          description: 商户 ID
        - name: X-GatePay-Certificate-ClientId
          in: header
          required: true
          schema:
            type: string
          description: 客户端 ID（证书专用）
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - expireSeconds
              properties:
                expireSeconds:
                  type: integer
                  description: 认证URL过期时间（秒）
                  example: 86400
                requestId:
                  type: string
                  description: 请求 ID，用于追踪请求来源（可选参数）
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: '0'
                  message:
                    type: string
                    example: success
                  data:
                    type: object
                    properties:
                      authUrl:
                        type: string
                        description: 认证 URL
                      subAccountId:
                        type: integer
                        format: int64
                        description: 子账户 ID
                      expireTime:
                        type: integer
                        format: int64
                        description: 认证URL过期时间戳(毫秒)
                      requestId:
                        type: string
                        description: 请求 ID

````